[Greasemonkey] Greasemonkey 0.4.1 (The Next Generation)

Mark Pilgrim pilgrim at gmail.com
Tue Jul 26 16:05:39 EDT 2005


On 7/26/05, Aaron Boodman <zboogs at gmail.com> wrote:
> Greasemonkey TNG should be backward compatible with all your existing
> scripts in FF 1.0.x. Please let me know if it is not.

In the past few days, Simon Willison and I have been testing private
builds against all the scripts in my upcoming "Greasemonkey Hacks"
book.  I can confim that, despite massive architectural differences,
GM-TNG is incredibly backward-compatible, even with complex user
scripts like Book Burro, BugMeNot, and GMail Persistent Searches.

I can also confirm that this release closes all known security holes.

When we finish our testing, I will write up a page detailing some
common pitfalls (especially with Deer Park compatibility) and how to
fix them, and post it to diveintogreasemonkey.org and this list.

Let's all give Aaron a big round of applause.  This release rocks.

-- 
Cheers,
-Mark


More information about the Greasemonkey mailing list